Bug 1310115 - a missing storage can cause cfme 5.5 to stop collecting data from openstack
Summary: a missing storage can cause cfme 5.5 to stop collecting data from openstack
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.5.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.5.5
Assignee: Ladislav Smola
QA Contact: Ola Pavlenko
URL:
Whiteboard: openstack
Depends On: 1297002
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-19 13:52 UTC by John Prause
Modified: 2019-12-16 05:25 UTC (History)
12 users (show)

Fixed In Version: 5.5.5.0
Doc Type: Bug Fix
Doc Text:
In the previous version, a resource missing from a stack in an OpenStack environment caused CloudForms to entirely stop collecting data from OpenStack, instead of issuing a warning about the problematic stack. This occurred when the `stack.resources` call issued an API call to OpenStack but bypassed the 404 handler in CloudForms. The code has been fixed to safely load orchestration stack relations, and this no longer occurs.
Clone Of: 1297002
Environment:
Last Closed: 2016-07-26 15:31:21 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1488 normal SHIPPED_LIVE CFME 5.5.5 bug fixes and enhancement update 2016-07-26 19:28:27 UTC

Comment 5 Ladislav Smola 2016-03-18 10:17:49 UTC
comment #2 contains wrong MR, upstream fix for this is in https://github.com/ManageIQ/manageiq/pull/6852 . MR has not been created yet

Comment 9 CFME Bot 2016-06-23 13:57:28 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=28fbf8d41cbb180214a7b89eab9a9a8fbe7a4737

commit 28fbf8d41cbb180214a7b89eab9a9a8fbe7a4737
Merge: 4d4ccf1 b0dc294
Author:     Greg Blomquist <gblomqui@redhat.com>
AuthorDate: Thu Jun 23 09:53:18 2016 -0400
Commit:     Greg Blomquist <gblomqui@redhat.com>
CommitDate: Thu Jun 23 09:53:18 2016 -0400

    Merge branch 'bz1310115' into '5.5.z'
    
    Safely load orchestration stack relations
    
    Safely load orchestration stack relations
    
    Clean cherry-pick of:
    https://github.com/ManageIQ/manageiq/pull/6852
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1310115
    
    See merge request !986

 .../openstack/cloud_manager/refresh_parser.rb      |  1 +
 .../refresh_parser_common/helper_methods.rb        | 24 +++++++++++++++++++++-
 .../refresh_parser_common/orchestration_stacks.rb  |  6 +++---
 .../openstack/openstack_handle/handled_list.rb     |  6 ++++++
 4 files changed, 33 insertions(+), 4 deletions(-)

Comment 10 CFME Bot 2016-06-23 13:57:33 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=b0dc294681f1178ed8b6382aba87b98f0020d885

commit b0dc294681f1178ed8b6382aba87b98f0020d885
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Mon Feb 22 14:25:28 2016 +0100
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Wed Jun 22 16:50:26 2016 +0200

    Safely load orchestration stack relations
    
    Safely load orchestration stack relations
    
    Clean cherry-pick of:
    https://github.com/ManageIQ/manageiq/pull/6852
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1310115

 .../openstack/cloud_manager/refresh_parser.rb      |  1 +
 .../refresh_parser_common/helper_methods.rb        | 24 +++++++++++++++++++++-
 .../refresh_parser_common/orchestration_stacks.rb  |  6 +++---
 .../openstack/openstack_handle/handled_list.rb     |  6 ++++++
 4 files changed, 33 insertions(+), 4 deletions(-)

Comment 18 errata-xmlrpc 2016-07-26 15:31:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1488.html


Note You need to log in before you can comment on or make changes to this bug.